/*
 * uart.h
 *
 * Created: 29.11.2011 19:24:39
 *  Author: Zbynek
 poskocil@email.cz
 */ 


#ifndef UART_H_
#define UART_H_
/************************************************************************/
/* Definice konstant                                                    */
/************************************************************************/
#define UART0_BAUD_RATE 9600   
#define VELIKOST_PRIJIMACIHO_BUFFERU 244 // MAX 255 velikost bufferu pro uchovani prichozich zprav z USARTn v bytech

/************************************************************************/
/* Definice struktur                                                    */
/************************************************************************/
typedef struct  
{
	char obsah[VELIKOST_PRIJIMACIHO_BUFFERU];
	unsigned char zaplneno_bytu;
	
} RX_buffer;

RX_buffer RX0_buffer;
RX_buffer NMEA_retezec;

/************************************************************************/
/* Deklarace funkci                                                     */
/************************************************************************/
void USART0_posli_znak( unsigned char data);
unsigned char USART0_prijmi_znak( void );
void USART0_posli_retezec (const unsigned char *retezec);
void USART_Init(void);
void USART0_smaz_buffer (void);
void dekoduj_zpravu_GPS (void);

#endif /* UART_H_ */